public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/keepass/
Date: Sat, 11 Jun 2016 18:09:49 +0000 (UTC)	[thread overview]
Message-ID: <1465668578.6e8059e6ba92d83a257549f6879cea55759aae85.kensington@gentoo> (raw)

commit:     6e8059e6ba92d83a257549f6879cea55759aae85
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 11 18:09:21 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Jun 11 18:09:38 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e8059e6

app-admin/keepass: version bump to resolve CVE-2016-5119

Gentoo-bug: 585140

Package-Manager: portage-2.3.0_rc1

 app-admin/keepass/Manifest            |   1 +
 app-admin/keepass/keepass-2.34.ebuild | 113 ++++++++++++++++++++++++++++++++++
 2 files changed, 114 insertions(+)

diff --git a/app-admin/keepass/Manifest b/app-admin/keepass/Manifest
index 5a2a5ca..270947d 100644
--- a/app-admin/keepass/Manifest
+++ b/app-admin/keepass/Manifest
@@ -2,3 +2,4 @@ DIST KeePass-2.30-Source.zip 4767753 SHA256 4a3c3c217bc05b13bf903612b89a09b67ed1
 DIST KeePass-2.31-Source.zip 4714301 SHA256 555b1a30f374f7077bf15906b09ab36b40fd3fc5753673a3c0ee3f30f0ed7881 SHA512 e2e81e7d60bc58a18ea3b9a82741bdd6e5be88bcfcf447ae587f6177a8ff97e7c82c02fb0695142f8321c7b5f92aa982254629928dd0c12393d659380f46026d WHIRLPOOL b8b572bd7db7ce9bc67ae0a241c71cd30595753d06bfed85efafece2b3cce4893c5cc213ee44cabd81c6ff12fc2fc98234d845ed94d0068d8111d116ccc39333
 DIST KeePass-2.32-Source.zip 4721787 SHA256 7c49b62c8de758dee7e9c2d6108c169d468b4e65f21e297649d3dd8c2b757385 SHA512 6c6345cedc505eaaec28c6e89e225bdad5d5ac169c364a7e04b06bbdef4223829662f6e12a7432a3785f73cbc6798ba578468be04ab1063eb96135346570c7c3 WHIRLPOOL 6ba1bff9df311950068e34f9044f5b9e29e6e571e1928093f7ad6dc23c8b7ad26a89371fc425df0f5b41d3781aa29c0c6ad4d8c0c0f077248e4ee7f9022dabe3
 DIST KeePass-2.33-Source.zip 4738822 SHA256 5120a490289155a8b49c8e6893a2cc4b20fe859b34f815f17a017bae449f9958 SHA512 acbc226f96783f0d77d8b70b6a223de80ab7fd73bd750cedf0a52a46e60ed5e816281ec0bc168aea03a0fbb9bb2869ea410d208620bc46b30e53829f22644375 WHIRLPOOL 1bdcb19e6e15860f5423f5646f4481e4c6f43c474422c096a808bf5fb862268ddd42d22c67096fa2ebd2f41811d30592a69389561bd6619d0cf0c0da7ae74c0a
+DIST KeePass-2.34-Source.zip 4744285 SHA256 e3f184e4deddd1aa5ee2b52e2373c772d3f3975e5eddb2fd729eb27b437011aa SHA512 a52fe7bb0cee60daa0428cf42cf2d6cfc5798fa52d535b10548880417bfe61458c5357ea3dfdb569571fa8aa958de05369c269e2dbb64af5cfa5c913fad521e0 WHIRLPOOL 2aeac242d5f1a342ec338cb442b8083f4dc72635d9bc8b02cd2aad4613ecf9f311cddf0832a3f1ebe03d881dce41d3a77edb097e3853967d467c2ce55b8d33cb

diff --git a/app-admin/keepass/keepass-2.34.ebuild b/app-admin/keepass/keepass-2.34.ebuild
new file mode 100644
index 0000000..d828fcf
--- /dev/null
+++ b/app-admin/keepass/keepass-2.34.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils fdo-mime gnome2-utils mono-env multilib
+
+MY_PN="KeePass"
+DESCRIPTION="A free, open source, light-weight and easy-to-use password manager"
+HOMEPAGE="http://keepass.info/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_PN}-${PV}-Source.zip"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="aot"
+
+COMMON_DEPEND=">=dev-lang/mono-2.10.5"
+RDEPEND="${COMMON_DEPEND}
+	dev-dotnet/libgdiplus[cairo]"
+DEPEND="${COMMON_DEPEND}
+	app-arch/unzip"
+
+S=${WORKDIR}
+
+src_prepare() {
+	# Force text mode for >grep-2.21 (bug #574480)
+	epatch "${FILESDIR}/${PN}-2.31-force-text-grep.patch"
+
+	# Remove Windows-specific things
+	pushd Build > /dev/null || die
+	. PrepMonoDev.sh || die
+	popd > /dev/null || die
+
+	# KeePass looks for some XSL files in the same folder as the executable,
+	# we prefer to have it in /usr/share/KeePass
+	epatch "${FILESDIR}/${PN}-2.20-xsl-path-detection.patch"
+	# bug # 558094
+	if has_version ">=dev-lang/mono-4" ; then
+		sed -i -e 's! ToolsVersion="3.5"!!g' Translation/TrlUtil/TrlUtil.csproj || die
+		sed -i -e 's/Format Version 10.00/Format Version 11.00/' KeePass.sln || die
+	fi
+}
+
+src_compile() {
+	# Build with Release target
+	xbuild /target:KeePass /property:Configuration=Release || die
+
+	# Run Ahead Of Time compiler on the binary
+	if use aot; then
+		cp Ext/KeePass.exe.config Build/KeePass/Release/
+		mono --aot -O=all Build/KeePass/Release/KeePass.exe || die
+	fi
+}
+
+src_install() {
+	# Wrapper script to launch mono
+	make_wrapper ${PN} "mono /usr/$(get_libdir)/${PN}/KeePass.exe"
+
+	# Some XSL files
+	insinto /usr/share/${PN}/XSL
+	doins Ext/XSL/*
+
+	insinto /usr/$(get_libdir)/${PN}/
+	exeinto /usr/$(get_libdir)/${PN}/
+	doins Ext/KeePass.exe.config
+	# Default configuration, simply says to use user-specific configuration
+	doins Ext/KeePass.config.xml
+
+	# The actual executable
+	doexe Build/KeePass/Release/KeePass.exe
+
+	# Copy the AOT compilation result
+	if use aot; then
+		doexe Build/KeePass/Release/KeePass.exe.so
+	fi
+
+	# Prepare the icons
+	newicon -s 256 Ext/Icons_04_CB/Finals/plockb.png "${PN}.png"
+	newicon -s 256 -t gnome -c mimetypes Ext/Icons_04_CB/Finals/plockb.png "application-x-${PN}2.png"
+
+	# Create a desktop entry and associate it with the KeePass mime type
+	make_desktop_entry ${PN} ${MY_PN} ${PN} "System;Security" "MimeType=application/x-keepass2;"
+
+	# MIME descriptor for .kdbx files
+	insinto /usr/share/mime/packages/
+	doins "${FILESDIR}/${PN}.xml"
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	fdo-mime_mime_database_update
+	fdo-mime_desktop_database_update
+
+	if ! has_version x11-misc/xdotool ; then
+		elog "Optional dependencies:"
+		elog "	x11-misc/xdotool (enables autotype)"
+	fi
+
+	elog "Some systems may experience issues with copy and paste operations."
+	elog "If you encounter this, please install x11-misc/xsel."
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	fdo-mime_mime_database_update
+	fdo-mime_desktop_database_update
+}


             reply	other threads:[~2016-06-11 18:09 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-11 18:09 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-01  6:13 [gentoo-commits] repo/gentoo:master commit in: app-admin/keepass/ Joonas Niilola
2024-09-01  6:13 Joonas Niilola
2024-07-01  8:17 Matt Jolly
2024-03-01  0:20 Yixun Lan
2023-09-28  4:35 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-07-16 18:46 Sam James
2023-05-27 10:51 Arthur Zamarin
2022-07-24  1:00 Matt Turner
2021-12-02  6:46 Michael Palimaka
2021-12-02  6:46 Michael Palimaka
2021-11-04  0:42 Jakov Smolić
2021-10-28  6:22 Sam James
2021-09-20  8:48 Michael Palimaka
2021-09-20  8:48 Michael Palimaka
2021-05-27  8:35 Michael Palimaka
2021-04-20 11:49 Michael Palimaka
2021-02-24  7:28 Michael Palimaka
2020-11-17 10:29 Michael Palimaka
2020-11-12 12:28 Sam James
2020-10-30 22:32 Thomas Deutschmann
2020-09-18  9:38 Michael Palimaka
2020-06-28 20:56 Thomas Deutschmann
2020-05-11 11:24 Michael Palimaka
2020-03-28  3:06 Michael Palimaka
2020-03-27 16:31 Agostino Sarubbo
2020-03-22  8:46 Mikle Kolyada
2020-02-10 11:12 Michael Palimaka
2020-02-10 11:01 Michael Palimaka
2020-01-21 10:42 Agostino Sarubbo
2020-01-20 13:04 Agostino Sarubbo
2019-11-05  6:21 Michael Palimaka
2019-09-23  8:46 Michael Palimaka
2019-08-06 11:27 Michael Palimaka
2019-08-06 10:40 Agostino Sarubbo
2019-08-06  9:39 Agostino Sarubbo
2019-05-08 11:03 Michael Palimaka
2019-02-28 12:45 Michael Palimaka
2019-02-28 12:45 Michael Palimaka
2019-01-10 11:18 Manuel Rüger
2018-11-17  7:24 Michael Palimaka
2018-11-17  7:24 Michael Palimaka
2018-11-08 13:22 Michael Palimaka
2018-10-06 10:32 Michael Palimaka
2018-09-16 14:34 Manuel Rüger
2018-05-26  1:10 Manuel Rüger
2018-02-25  6:55 Michael Palimaka
2018-02-25  6:55 Michael Palimaka
2018-01-12  9:17 Michael Palimaka
2018-01-11  7:30 Michael Palimaka
2017-12-16 12:08 Michael Palimaka
2017-12-16 12:08 Michael Palimaka
2017-10-14  2:42 Michael Palimaka
2017-09-04 16:01 Jonathan Vasquez
2017-07-23  2:08 Michael Palimaka
2017-06-11 15:14 Jonathan Vasquez
2017-02-18 14:33 Agostino Sarubbo
2017-02-18 13:29 Agostino Sarubbo
2017-01-10  5:49 Jonathan Vasquez
2016-12-18  1:04 Matt Thode
2016-07-17 19:16 Michael Palimaka
2016-07-09 17:46 Agostino Sarubbo
2016-05-13 22:06 Manuel Rüger
2016-05-13  8:41 Agostino Sarubbo
2016-04-04  9:00 Ian Delaney
2016-03-10 22:37 Manuel Rüger
2016-01-18 11:14 Michael Palimaka
2016-01-17 15:35 Manuel Rüger
2015-12-03 12:06 Michael Palimaka
2015-12-03 10:41 Agostino Sarubbo
2015-11-19 10:44 Agostino Sarubbo
2015-08-19 10:52 Michael Palimaka
2015-08-19 10:52 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465668578.6e8059e6ba92d83a257549f6879cea55759aae85.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox